using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());

            int[] a = new int[n];
            int[] b = new int[n];

            
            int upper = 2 * n;
            int lower = 1;
            for (int i = 0; i < n; i++)
            {
                if (i % 2 == 0)
                {
                    a[i] = lower;
                    lower += 2;
                } else
                {
                    a[i] = upper;
                    upper -= 2;
                }
            }

            upper = (2 * n) - 1;
            lower = 2;

            for (int i = 0; i < n; i++)
            {
                if (i == n - 1)
                {
                    b[i] = lower;
                    lower += 2;
                    continue;
                }

                if (i % 2 == 0)
                {
                    b[i] = upper;
                    upper -= 2;
                }
                else
                {
                    b[i] = lower;
                    lower += 2;
                }
            }
            string aOut = "";
            string bOut = "";
            foreach (int i in a)
            {
                aOut += i + " ";
                if (i % 1000 == 0)
                {
                    Console.Write(aOut);
                    aOut = "";
                }
            }

            Console.Write(aOut + "\n");

            foreach (int i in b)
            {
                bOut += i + " ";
                if (i % 1000 == 0)
                {
                    Console.Write(bOut);
                    bOut = "";
                }
            }
            Console.Write(bOut + "\n");
        }
    }
}